Bug 180446 - New port: print/p910nd A small printer daemon
Summary: New port: print/p910nd A small printer daemon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-10 21:20 UTC by Serhii (Sergey) Kozlov
Modified: 2014-08-09 19:58 UTC (History)
2 users (show)

See Also:


Attachments
file.txt (4.62 KB, text/plain)
2013-07-10 21:20 UTC, Serhii (Sergey) Kozlov
no flags Details
port shar (4.64 KB, text/plain)
2014-08-09 13:51 UTC, Serhii (Sergey) Kozlov
no flags Details
portlint -AC output (95 bytes, text/plain)
2014-08-09 13:55 UTC, Serhii (Sergey) Kozlov
no flags Details
Redports 10.0-RELEASE/amd64 run (6.81 KB, text/plain)
2014-08-09 14:01 UTC, Serhii (Sergey) Kozlov
no flags Details
Redports 10.0-RELEASE/i386 run (7.00 KB, text/plain)
2014-08-09 14:02 UTC, Serhii (Sergey) Kozlov
no flags Details
Redports 9.2-RELEASE/amd64 run (6.42 KB, text/plain)
2014-08-09 14:02 UTC, Serhii (Sergey) Kozlov
no flags Details
Redports 9.2-RELEASE/i386 run (6.60 KB, text/plain)
2014-08-09 14:02 UTC, Serhii (Sergey) Kozlov
no flags Details
Redports QATty run (6.43 KB, text/plain)
2014-08-09 14:03 UTC, Serhii (Sergey) Kozlov
no flags Details
port shar (4.87 KB, text/plain)
2014-08-09 17:22 UTC, Serhii (Sergey) Kozlov
no flags Details
portlint -AC output (110 bytes, text/plain)
2014-08-09 17:23 UTC, Serhii (Sergey) Kozlov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serhii (Sergey) Kozlov freebsd_committer 2013-07-10 21:20:00 UTC
New port print/p910nd

p910nd is a small printer daemon intended for diskless workstations that does
not spool to disk but passes the job directly to the printer.

Fix: Shar renamed to txt to send from win machine

Patch attached with submission follows:
Comment 1 John Marino freebsd_committer 2014-08-07 14:01:54 UTC
Hi, if you are still interested in having this port in FreeBSD, it needs to be reworked to support stage.  
See http://lists.freebsd.org/pipermail/freebsd-ports-announce/2014-May/000080.html


Additionally, you need to provide some sort of quality assurance.    
In order of preference, we are looking for:

1) "poudriere testport" or "poudriere bulk -t" logs
2) Redports or tinderbox logs

Please provide an updated shar file and attach a test log.  Alternatively, please indicate if you are no longer interested in having this software in the Ports Collection and that we can close the PR.

Thanks!
Comment 2 Serhii (Sergey) Kozlov freebsd_committer 2014-08-07 14:16:39 UTC
Sure, I would be happy to update the port to suit. Just give me some time.
Comment 3 Serhii (Sergey) Kozlov freebsd_committer 2014-08-09 13:51:09 UTC
Created attachment 145556 [details]
port shar

Staging support
Comment 4 Serhii (Sergey) Kozlov freebsd_committer 2014-08-09 13:55:07 UTC
Created attachment 145557 [details]
portlint -AC output
Comment 5 Serhii (Sergey) Kozlov freebsd_committer 2014-08-09 14:01:43 UTC
Created attachment 145558 [details]
Redports 10.0-RELEASE/amd64 run
Comment 6 Serhii (Sergey) Kozlov freebsd_committer 2014-08-09 14:02:09 UTC
Created attachment 145559 [details]
Redports 10.0-RELEASE/i386 run
Comment 7 Serhii (Sergey) Kozlov freebsd_committer 2014-08-09 14:02:37 UTC
Created attachment 145560 [details]
Redports 9.2-RELEASE/amd64 run
Comment 8 Serhii (Sergey) Kozlov freebsd_committer 2014-08-09 14:02:59 UTC
Created attachment 145561 [details]
Redports 9.2-RELEASE/i386 run
Comment 9 Serhii (Sergey) Kozlov freebsd_committer 2014-08-09 14:03:27 UTC
Created attachment 145562 [details]
Redports QATty run
Comment 10 John Marino freebsd_committer 2014-08-09 14:04:47 UTC
Awesome.
In the future, usually a link to Redports run is enough but uploading the log certainly makes it bulletproof.  Moving to patch-ready status.
Comment 11 Kurt Jaeger freebsd_committer 2014-08-09 14:57:31 UTC
The port uses /tmp/ as LOCKFILE_DIR, which might cause race conditions with
security implications. Would it be possible to use /var/run/<port>/ as
LOCKFILE_DIR ?
Comment 12 Serhii (Sergey) Kozlov freebsd_committer 2014-08-09 17:22:25 UTC
Created attachment 145574 [details]
port shar

- Change LOCKFILE_DIR to /var/run/${PORTNAME}
- Add creation of /var/run/${PORTNAME} in the pkg-plist (using databases/redis/pkg-plist as an example)

Redports run: https://redports.org/buildarchive/20140809160700-2741/
Comment 13 Serhii (Sergey) Kozlov freebsd_committer 2014-08-09 17:23:38 UTC
Created attachment 145575 [details]
portlint -AC output
Comment 14 commit-hook freebsd_committer 2014-08-09 19:55:35 UTC
A commit references this bug:

Author: pi
Date: Sat Aug  9 19:54:59 UTC 2014
New revision: 364471
URL: http://svnweb.freebsd.org/changeset/ports/364471

Log:
  New port: print/p910nd

  p910nd is a small printer daemon intended for diskless workstations
  that does not spool to disk but passes the job directly to the printer.

  WWW: http://p910nd.sourceforge.net/

  PR:		180446
  Submitted by:	kozlov.sergey.404@gmail.com

Changes:
  head/print/Makefile
  head/print/p910nd/
  head/print/p910nd/Makefile
  head/print/p910nd/distinfo
  head/print/p910nd/files/
  head/print/p910nd/files/p910nd.in
  head/print/p910nd/files/patch-p910nd.8
  head/print/p910nd/pkg-descr
  head/print/p910nd/pkg-plist
Comment 15 Kurt Jaeger freebsd_committer 2014-08-09 19:58:57 UTC
Committed, thanks!